diff --git a/changelog b/changelog
index 6e74f31..0086e15 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080429 tpd src/input/schaum12.input post-mortem fixes
 20080428 tpd src/input/schaum19.input post-mortem fixes
 20080428 tpd src/input/schaum23.input post-mortem fixes
 20080428 tpd src/input/schaum24.input post-mortem fixes
diff --git a/src/input/schaum12.input.pamphlet b/src/input/schaum12.input.pamphlet
index 1c0d0b2..7d5d77a 100644
--- a/src/input/schaum12.input.pamphlet
+++ b/src/input/schaum12.input.pamphlet
@@ -25,36 +25,37 @@ $$
 )clear all
 
 --S 1
-aa:=integrate(1/sqrt(a*x^2+b*x+c),x)
---R 
+aa:=integrate(1/(a*x^2+b*x+c),x)
 --R
 --R   (1)
 --R   [
 --R       log
---R                                 +--------------+
---R                 +-+ +-+         |   2                   +-+
---R              (2\|a \|c  - 2a x)\|a x  + b x + c  + 2a x\|c
+--R                                           +-----------+
+--R                 2 2                    2  |          2       2        2
+--R              (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (8a c - 2a b )x
 --R            + 
---R                     2             +-+
---R              (- 2a x  - b x - 2c)\|a
+--R                        3
+--R              4a b c - b
 --R         /
---R                  +--------------+
---R              +-+ |   2
---R            2\|c \|a x  + b x + c  - b x - 2c
+--R               2
+--R            a x  + b x + c
 --R    /
---R        +-+
---R       \|a
+--R        +-----------+
+--R        |          2
+--R       \|- 4a c + b
 --R     ,
---R                 +--------------+
---R           +---+ |   2               +---+ +-+
---R          \|- a \|a x  + b x + c  - \|- a \|c
---R    2atan(------------------------------------)
---R                           a x
---R    -------------------------------------------]
---R                        +---+
---R                       \|- a
+--R                     +---------+
+--R                     |        2
+--R          (2a x + b)\|4a c - b
+--R    2atan(----------------------)
+--R                         2
+--R                 4a c - b
+--R    -----------------------------]
+--R              +---------+
+--R              |        2
+--R             \|4a c - b
 --R                                     Type: Union(List Expression Integer,...)
---E 
+--E
 
 --S 2
 bb1:=2/sqrt(4*a*c-b^2)*atan((2*a*x+b)/sqrt(4*a*c-b^2))
@@ -99,26 +100,26 @@ cc1:=aa.1-bb1
 --R         \|4a c - b
 --R      *
 --R         log
---R                                   +--------------+
---R                   +-+ +-+         |   2                   +-+
---R                (2\|a \|c  - 2a x)\|a x  + b x + c  + 2a x\|c
+--R                                             +-----------+
+--R                   2 2                    2  |          2       2        2
+--R                (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (8a c - 2a b )x
 --R              + 
---R                       2             +-+
---R                (- 2a x  - b x - 2c)\|a
+--R                          3
+--R                4a b c - b
 --R           /
---R                    +--------------+
---R                +-+ |   2
---R              2\|c \|a x  + b x + c  - b x - 2c
+--R                 2
+--R              a x  + b x + c
 --R     + 
---R           +-+       2a x + b
---R       - 2\|a atan(------------)
---R                    +---------+
---R                    |        2
---R                   \|4a c - b
+--R           +-----------+
+--R           |          2        2a x + b
+--R       - 2\|- 4a c + b  atan(------------)
+--R                              +---------+
+--R                              |        2
+--R                             \|4a c - b
 --R  /
---R          +---------+
---R      +-+ |        2
---R     \|a \|4a c - b
+--R      +-----------+ +---------+
+--R      |          2  |        2
+--R     \|- 4a c + b  \|4a c - b
 --R                                                     Type: Expression Integer
 --E
 
@@ -126,81 +127,142 @@ cc1:=aa.1-bb1
 cc2:=aa.1-bb2
 --R
 --R   (5)
---R          +-----------+
---R          |          2
---R         \|- 4a c + b
---R      *
---R         log
---R                                   +--------------+
---R                   +-+ +-+         |   2                   +-+
---R                (2\|a \|c  - 2a x)\|a x  + b x + c  + 2a x\|c
---R              + 
---R                       2             +-+
---R                (- 2a x  - b x - 2c)\|a
---R           /
---R                    +--------------+
---R                +-+ |   2
---R              2\|c \|a x  + b x + c  - b x - 2c
+--R       log
+--R                                           +-----------+
+--R                 2 2                    2  |          2       2        2
+--R              (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (8a c - 2a b )x
+--R            + 
+--R                        3
+--R              4a b c - b
+--R         /
+--R               2
+--R            a x  + b x + c
 --R     + 
---R                    +-----------+
---R                    |          2
---R          +-+    - \|- 4a c + b   + 2a x + b
---R       - \|a log(---------------------------)
---R                   +-----------+
---R                   |          2
---R                  \|- 4a c + b   + 2a x + b
+--R                +-----------+
+--R                |          2
+--R             - \|- 4a c + b   + 2a x + b
+--R       - log(---------------------------)
+--R               +-----------+
+--R               |          2
+--R              \|- 4a c + b   + 2a x + b
 --R  /
 --R      +-----------+
---R      |          2  +-+
---R     \|- 4a c + b  \|a
+--R      |          2
+--R     \|- 4a c + b
 --R                                                     Type: Expression Integer
 --E
 
 --S 6
 cc3:=aa.2-bb1
 --R
---R   (6)
---R                                +--------------+
---R         +---------+      +---+ |   2               +---+ +-+
---R         |        2      \|- a \|a x  + b x + c  - \|- a \|c
---R       2\|4a c - b  atan(------------------------------------)
---R                                          a x
---R     + 
---R           +---+       2a x + b
---R       - 2\|- a atan(------------)
---R                      +---------+
---R                      |        2
---R                     \|4a c - b
---R  /
---R            +---------+
---R      +---+ |        2
---R     \|- a \|4a c - b
+--R                         +---------+
+--R                         |        2
+--R              (2a x + b)\|4a c - b              2a x + b
+--R        2atan(----------------------) - 2atan(------------)
+--R                             2                 +---------+
+--R                     4a c - b                  |        2
+--R                                              \|4a c - b
+--R   (6)  ---------------------------------------------------
+--R                             +---------+
+--R                             |        2
+--R                            \|4a c - b
 --R                                                     Type: Expression Integer
 --E
 
---S 7      14:265 Axiom cannot simplify these expressions
+--S 7
 cc4:=aa.2-bb2
 --R
 --R   (7)
---R                      +-----------+
---R                      |          2
---R          +---+    - \|- 4a c + b   + 2a x + b
---R       - \|- a log(---------------------------)
---R                     +-----------+
---R                     |          2
---R                    \|- 4a c + b   + 2a x + b
+--R                            +-----------+
+--R          +---------+       |          2
+--R          |        2     - \|- 4a c + b   + 2a x + b
+--R       - \|4a c - b  log(---------------------------)
+--R                           +-----------+
+--R                           |          2
+--R                          \|- 4a c + b   + 2a x + b
 --R     + 
---R                                  +--------------+
---R         +-----------+      +---+ |   2               +---+ +-+
---R         |          2      \|- a \|a x  + b x + c  - \|- a \|c
---R       2\|- 4a c + b  atan(------------------------------------)
---R                                            a x
+--R                                      +---------+
+--R         +-----------+                |        2
+--R         |          2      (2a x + b)\|4a c - b
+--R       2\|- 4a c + b  atan(----------------------)
+--R                                          2
+--R                                  4a c - b
 --R  /
---R      +-----------+
---R      |          2  +---+
---R     \|- 4a c + b  \|- a
+--R      +-----------+ +---------+
+--R      |          2  |        2
+--R     \|- 4a c + b  \|4a c - b
 --R                                                     Type: Expression Integer
 --E
+
+--S 8
+atanrule:=rule(atan(x) == -%i/2*log((1+%i*x)/(1-%i*x)))
+--R
+--R                            - x + %i
+--R                     %i log(--------)
+--R                             x + %i
+--R   (8)  atan(x) == - ----------------
+--R                             2
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E
+
+--S 9
+dd3:=atanrule cc3
+--R
+--R   (9)
+--R               +---------+
+--R               |        2
+--R              \|4a c - b   + 2%i a x + %i b
+--R       %i log(-----------------------------)
+--R               +---------+
+--R               |        2
+--R              \|4a c - b   - 2%i a x - %i b
+--R     + 
+--R                             +---------+
+--R                             |        2                  2
+--R                (- 2a x - b)\|4a c - b   + 4%i a c - %i b
+--R       - %i log(------------------------------------------)
+--R                            +---------+
+--R                            |        2                  2
+--R                 (2a x + b)\|4a c - b   + 4%i a c - %i b
+--R  /
+--R      +---------+
+--R      |        2
+--R     \|4a c - b
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 10
+ee3:=expandLog dd3
+--R
+--R   (10)
+--R                         +---------+
+--R                         |        2                  2
+--R       %i log((2a x + b)\|4a c - b   + 4%i a c - %i b )
+--R     + 
+--R                           +---------+
+--R                           |        2                  2
+--R       - %i log((2a x + b)\|4a c - b   - 4%i a c + %i b )
+--R     + 
+--R               +---------+
+--R               |        2
+--R       %i log(\|4a c - b   + 2%i a x + %i b)
+--R     + 
+--R                 +---------+
+--R                 |        2
+--R       - %i log(\|4a c - b   - 2%i a x - %i b) - %i log(- 1)
+--R  /
+--R      +---------+
+--R      |        2
+--R     \|4a c - b
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 11     14:265 Schaums and Axiom agree
+ff3:=complexNormalize ee3
+--R
+--R   (11)  0
+--R                                             Type: Expression Complex Integer
+--E
 @
 
 \section{\cite{1}:14.266~~~~~$\displaystyle
@@ -211,59 +273,46 @@ $$
 <<*>>=
 )clear all
 
---S 8
-aa:=integrate(x/sqrt(a*x^2+b*x+c),x)
---R 
+--S 12
+aa:=integrate(x/(a*x^2+b*x+c),x)
 --R
 --R   (1)
 --R   [
---R                   +--------------+
---R               +-+ |   2               2
---R           (2b\|c \|a x  + b x + c  - b x - 2b c)
+--R           b
 --R        *
 --R           log
---R                                     +--------------+
---R                     +-+ +-+         |   2                   +-+
---R                  (2\|a \|c  + 2a x)\|a x  + b x + c  - 2a x\|c
+--R                                               +-----------+
+--R                     2 2                    2  |          2         2        2
+--R                  (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (- 8a c + 2a b )x
 --R                + 
---R                         2             +-+
---R                  (- 2a x  - b x - 2c)\|a
+--R                              3
+--R                  - 4a b c + b
 --R             /
---R                      +--------------+
---R                  +-+ |   2
---R                2\|c \|a x  + b x + c  - b x - 2c
+--R                   2
+--R                a x  + b x + c
 --R       + 
---R                    +--------------+
---R                +-+ |   2                   2         +-+ +-+
---R         - 2b x\|a \|a x  + b x + c  + (4a x  + 2b x)\|a \|c
+--R                             +-----------+
+--R                2            |          2
+--R         log(a x  + b x + c)\|- 4a c + b
 --R    /
---R                  +--------------+
---R          +-+ +-+ |   2                                +-+
---R       4a\|a \|c \|a x  + b x + c  + (- 2a b x - 4a c)\|a
+--R          +-----------+
+--R          |          2
+--R       2a\|- 4a c + b
 --R     ,
---R
---R                     +--------------+
---R                 +-+ |   2               2
---R           (- 2b\|c \|a x  + b x + c  + b x + 2b c)
---R        *
---R                       +--------------+
---R                 +---+ |   2               +---+ +-+
---R                \|- a \|a x  + b x + c  - \|- a \|c
---R           atan(------------------------------------)
---R                                 a x
---R       + 
---R                     +--------------+
---R               +---+ |   2                   2        +---+ +-+
---R         - b x\|- a \|a x  + b x + c  + (2a x  + b x)\|- a \|c
---R    /
---R                    +--------------+
---R          +---+ +-+ |   2                               +---+
---R       2a\|- a \|c \|a x  + b x + c  + (- a b x - 2a c)\|- a
---R     ]
+--R                         +---------+
+--R                         |        2                         +---------+
+--R              (2a x + b)\|4a c - b             2            |        2
+--R    - 2b atan(----------------------) + log(a x  + b x + c)\|4a c - b
+--R                             2
+--R                     4a c - b
+--R    -------------------------------------------------------------------]
+--R                                  +---------+
+--R                                  |        2
+--R                               2a\|4a c - b
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 9
+--S 13
 t1:=integrate(1/(a*x^2+b*x+c),x)
 --R 
 --R
@@ -297,7 +346,7 @@ t1:=integrate(1/(a*x^2+b*x+c),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 10
+--S 14
 bb1:=1/(2*a)*log(a*x^2+b*x+c)-b/(2*a)*t1.1
 --R 
 --R
@@ -326,7 +375,7 @@ bb1:=1/(2*a)*log(a*x^2+b*x+c)-b/(2*a)*t1.1
 --R                                                     Type: Expression Integer
 --E
 
---S 11
+--S 15
 bb2:=1/(2*a)*log(a*x^2+b*x+c)-b/(2*a)*t1.2
 --R 
 --R
@@ -343,29 +392,11 @@ bb2:=1/(2*a)*log(a*x^2+b*x+c)-b/(2*a)*t1.2
 --R                                                     Type: Expression Integer
 --E
 
---S 12
+--S 16
 cc1:=aa.1-bb1
 --R
 --R   (5)
---R             +-----------+     +--------------+                  +-----------+
---R             |          2  +-+ |   2                  2          |          2
---R         (2b\|- 4a c + b  \|c \|a x  + b x + c  + (- b x - 2b c)\|- 4a c + b  )
---R      *
---R         log
---R                                   +--------------+
---R                   +-+ +-+         |   2                   +-+
---R                (2\|a \|c  + 2a x)\|a x  + b x + c  - 2a x\|c
---R              + 
---R                       2             +-+
---R                (- 2a x  - b x - 2c)\|a
---R           /
---R                    +--------------+
---R                +-+ |   2
---R              2\|c \|a x  + b x + c  - b x - 2c
---R     + 
---R                     +--------------+
---R             +-+ +-+ |   2                  2          +-+
---R         (2b\|a \|c \|a x  + b x + c  + (- b x - 2b c)\|a )
+--R         b
 --R      *
 --R         log
 --R                                             +-----------+
@@ -378,39 +409,32 @@ cc1:=aa.1-bb1
 --R                 2
 --R              a x  + b x + c
 --R     + 
---R                                 +-----------+                +-----------+
---R                    2            |          2  +-+ +-+        |          2  +-+
---R         (- 2log(a x  + b x + c)\|- 4a c + b  \|a \|c  - 2b x\|- 4a c + b  \|a )
+--R         b
 --R      *
---R          +--------------+
---R          |   2
---R         \|a x  + b x + c
---R     + 
---R                      +-----------+
---R            2         |          2  +-+ +-+
---R       (4a x  + 2b x)\|- 4a c + b  \|a \|c
---R     + 
---R                                     +-----------+
---R                        2            |          2  +-+
---R       (b x + 2c)log(a x  + b x + c)\|- 4a c + b  \|a
+--R         log
+--R                                             +-----------+
+--R                   2 2                    2  |          2         2        2
+--R                (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (- 8a c + 2a b )x
+--R              + 
+--R                            3
+--R                - 4a b c + b
+--R           /
+--R                 2
+--R              a x  + b x + c
 --R  /
---R          +-----------+         +--------------+
---R          |          2  +-+ +-+ |   2
---R       4a\|- 4a c + b  \|a \|c \|a x  + b x + c
---R     + 
---R                         +-----------+
---R                         |          2  +-+
---R       (- 2a b x - 4a c)\|- 4a c + b  \|a
+--R        +-----------+
+--R        |          2
+--R     2a\|- 4a c + b
 --R                                                     Type: Expression Integer
 --E
 
---S 13
+--S 17
 cc2:=aa.2-bb1
 --R
 --R   (6)
---R                       +--------------+
---R             +---+ +-+ |   2                  2          +---+
---R         (2b\|- a \|c \|a x  + b x + c  + (- b x - 2b c)\|- a )
+--R           +---------+
+--R           |        2
+--R         b\|4a c - b
 --R      *
 --R         log
 --R                                             +-----------+
@@ -423,53 +447,26 @@ cc2:=aa.2-bb1
 --R                 2
 --R              a x  + b x + c
 --R     + 
---R               +-----------+     +--------------+                 +-----------+
---R               |          2  +-+ |   2                 2          |          2
---R         (- 4b\|- 4a c + b  \|c \|a x  + b x + c  + (2b x + 4b c)\|- 4a c + b  )
---R      *
---R                     +--------------+
---R               +---+ |   2               +---+ +-+
---R              \|- a \|a x  + b x + c  - \|- a \|c
---R         atan(------------------------------------)
---R                               a x
---R     + 
---R                                  +-----------+
---R                     2            |          2  +---+ +-+
---R           - 2log(a x  + b x + c)\|- 4a c + b  \|- a \|c
---R         + 
---R                  +-----------+
---R                  |          2  +---+
---R           - 2b x\|- 4a c + b  \|- a
---R      *
---R          +--------------+
---R          |   2
---R         \|a x  + b x + c
---R     + 
---R                      +-----------+
---R            2         |          2  +---+ +-+
---R       (4a x  + 2b x)\|- 4a c + b  \|- a \|c
---R     + 
---R                                     +-----------+
---R                        2            |          2  +---+
---R       (b x + 2c)log(a x  + b x + c)\|- 4a c + b  \|- a
+--R                                         +---------+
+--R            +-----------+                |        2
+--R            |          2      (2a x + b)\|4a c - b
+--R       - 2b\|- 4a c + b  atan(----------------------)
+--R                                             2
+--R                                     4a c - b
 --R  /
---R          +-----------+           +--------------+
---R          |          2  +---+ +-+ |   2
---R       4a\|- 4a c + b  \|- a \|c \|a x  + b x + c
---R     + 
---R                         +-----------+
---R                         |          2  +---+
---R       (- 2a b x - 4a c)\|- 4a c + b  \|- a
+--R        +-----------+ +---------+
+--R        |          2  |        2
+--R     2a\|- 4a c + b  \|4a c - b
 --R                                                     Type: Expression Integer
 --E
 
---S 14
+--S 18
 cc3:=aa.2-bb1
 --R
 --R   (7)
---R                       +--------------+
---R             +---+ +-+ |   2                  2          +---+
---R         (2b\|- a \|c \|a x  + b x + c  + (- b x - 2b c)\|- a )
+--R           +---------+
+--R           |        2
+--R         b\|4a c - b
 --R      *
 --R         log
 --R                                             +-----------+
@@ -482,93 +479,23 @@ cc3:=aa.2-bb1
 --R                 2
 --R              a x  + b x + c
 --R     + 
---R               +-----------+     +--------------+                 +-----------+
---R               |          2  +-+ |   2                 2          |          2
---R         (- 4b\|- 4a c + b  \|c \|a x  + b x + c  + (2b x + 4b c)\|- 4a c + b  )
---R      *
---R                     +--------------+
---R               +---+ |   2               +---+ +-+
---R              \|- a \|a x  + b x + c  - \|- a \|c
---R         atan(------------------------------------)
---R                               a x
---R     + 
---R                                  +-----------+
---R                     2            |          2  +---+ +-+
---R           - 2log(a x  + b x + c)\|- 4a c + b  \|- a \|c
---R         + 
---R                  +-----------+
---R                  |          2  +---+
---R           - 2b x\|- 4a c + b  \|- a
---R      *
---R          +--------------+
---R          |   2
---R         \|a x  + b x + c
---R     + 
---R                      +-----------+
---R            2         |          2  +---+ +-+
---R       (4a x  + 2b x)\|- 4a c + b  \|- a \|c
---R     + 
---R                                     +-----------+
---R                        2            |          2  +---+
---R       (b x + 2c)log(a x  + b x + c)\|- 4a c + b  \|- a
+--R                                         +---------+
+--R            +-----------+                |        2
+--R            |          2      (2a x + b)\|4a c - b
+--R       - 2b\|- 4a c + b  atan(----------------------)
+--R                                             2
+--R                                     4a c - b
 --R  /
---R          +-----------+           +--------------+
---R          |          2  +---+ +-+ |   2
---R       4a\|- 4a c + b  \|- a \|c \|a x  + b x + c
---R     + 
---R                         +-----------+
---R                         |          2  +---+
---R       (- 2a b x - 4a c)\|- 4a c + b  \|- a
+--R        +-----------+ +---------+
+--R        |          2  |        2
+--R     2a\|- 4a c + b  \|4a c - b
 --R                                                     Type: Expression Integer
 --E
 
---S 15     14:266 Axiom cannot simplify these expressions
+--S 19     14:266 Schaums and Axiom agree
 cc4:=aa.2-bb2
 --R
---R   (8)
---R                   +---------+ +--------------+                 +---------+
---R               +-+ |        2  |   2                 2          |        2
---R         (- 4b\|c \|4a c - b  \|a x  + b x + c  + (2b x + 4b c)\|4a c - b  )
---R      *
---R                     +--------------+
---R               +---+ |   2               +---+ +-+
---R              \|- a \|a x  + b x + c  - \|- a \|c
---R         atan(------------------------------------)
---R                               a x
---R     + 
---R                       +--------------+
---R             +---+ +-+ |   2                   2          +---+
---R         (4b\|- a \|c \|a x  + b x + c  + (- 2b x - 4b c)\|- a )
---R      *
---R                         +---------+
---R                         |        2
---R              (2a x + b)\|4a c - b
---R         atan(----------------------)
---R                             2
---R                     4a c - b
---R     + 
---R                                                         +---------+
---R                    2            +---+ +-+        +---+  |        2
---R         (- 2log(a x  + b x + c)\|- a \|c  - 2b x\|- a )\|4a c - b
---R      *
---R          +--------------+
---R          |   2
---R         \|a x  + b x + c
---R     + 
---R               2         +---+ +-+                    2            +---+
---R         ((4a x  + 2b x)\|- a \|c  + (b x + 2c)log(a x  + b x + c)\|- a )
---R      *
---R          +---------+
---R          |        2
---R         \|4a c - b
---R  /
---R                    +---------+ +--------------+
---R          +---+ +-+ |        2  |   2
---R       4a\|- a \|c \|4a c - b  \|a x  + b x + c
---R     + 
---R                               +---------+
---R                         +---+ |        2
---R       (- 2a b x - 4a c)\|- a \|4a c - b
+--R   (8)  0
 --R                                                     Type: Expression Integer
 --E
 
@@ -583,7 +510,7 @@ $$
 <<*>>=
 )clear all
 
---S 16
+--S 20
 aa:=integrate(x^2/(a*x^2+b*x+c),x)
 --R 
 --R
@@ -630,7 +557,7 @@ aa:=integrate(x^2/(a*x^2+b*x+c),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 17
+--S 21
 t1:=integrate(1/(a*x^2+b*x+c),x)
 --R 
 --R
@@ -664,7 +591,7 @@ t1:=integrate(1/(a*x^2+b*x+c),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 18
+--S 22
 bb1:=x/a-b/(2*a^2)*log(a*x^2+b*x+c)+(b^2-2*a*c)/(2*a^2)*t1.1
 --R 
 --R
@@ -693,7 +620,7 @@ bb1:=x/a-b/(2*a^2)*log(a*x^2+b*x+c)+(b^2-2*a*c)/(2*a^2)*t1.1
 --R                                                     Type: Expression Integer
 --E
 
---S 19
+--S 23
 bb2:=x/a-b/(2*a^2)*log(a*x^2+b*x+c)+(b^2-2*a*c)/(2*a^2)*t1.2
 --R 
 --R
@@ -715,7 +642,7 @@ bb2:=x/a-b/(2*a^2)*log(a*x^2+b*x+c)+(b^2-2*a*c)/(2*a^2)*t1.2
 --R                                                     Type: Expression Integer
 --E
 
---S 20
+--S 24
 cc1:=bb1-aa.1
 --R
 --R   (5)
@@ -753,7 +680,7 @@ cc1:=bb1-aa.1
 --R                                                     Type: Expression Integer
 --E
 
---S 21     14:267 Schaums and Axiom differ by a constant
+--S 25     14:267 Schaums and Axiom differ by a constant
 dd1:=complexNormalize cc1
 --R
 --R                   2          3      2 2
@@ -775,7 +702,7 @@ $$
 <<*>>=
 )clear all
 
---S 22     14:268 Axiom cannot compute this integral
+--S 26     14:268 Axiom cannot compute this integral
 aa:=integrate(x^m/(a*x^2+b*x+c),x)
 --R 
 --R
@@ -798,7 +725,7 @@ $$
 <<*>>=
 )clear all
 
---S 23
+--S 27
 aa:=integrate(1/(x*(a*x^2+b*x+c)),x)
 --R 
 --R
@@ -844,7 +771,7 @@ aa:=integrate(1/(x*(a*x^2+b*x+c)),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 24
+--S 28
 t1:=integrate(1/(a*x^2+b*x+c),x)
 --R 
 --R
@@ -878,7 +805,7 @@ t1:=integrate(1/(a*x^2+b*x+c),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 25
+--S 29
 bb1:=1/(2*c)*log(x^2/(a*x^2+b*x+c))-b/(2*c)*t1.1
 --R 
 --R
@@ -909,7 +836,7 @@ bb1:=1/(2*c)*log(x^2/(a*x^2+b*x+c))-b/(2*c)*t1.1
 --R                                                     Type: Expression Integer
 --E
 
---S 26
+--S 30
 bb2:=1/(2*c)*log(x^2/(a*x^2+b*x+c))-b/(2*c)*t1.2
 --R 
 --R
@@ -926,7 +853,7 @@ bb2:=1/(2*c)*log(x^2/(a*x^2+b*x+c))-b/(2*c)*t1.2
 --R                                                     Type: Expression Integer
 --E
 
---S 27
+--S 31
 cc1:=bb1-aa.1
 --R
 --R   (5)
@@ -970,7 +897,7 @@ cc1:=bb1-aa.1
 --R                                                     Type: Expression Integer
 --E
 
---S 28
+--S 32
 dd1:=expandLog cc1
 --R
 --R   (6)
@@ -1005,7 +932,7 @@ dd1:=expandLog cc1
 --R                                                     Type: Expression Integer
 --E
 
---S 29     14:269 Schaums and Axiom differ by a constant
+--S 33     14:269 Schaums and Axiom differ by a constant
 ee1:=complexNormalize dd1
 --R
 --R                     3      2 2
@@ -1027,7 +954,7 @@ $$
 <<*>>=
 )clear all
 
---S 30
+--S 34
 aa:=integrate(1/(x^2*(a*x^2+b*x+c)),x)
 --R 
 --R
@@ -1074,7 +1001,7 @@ aa:=integrate(1/(x^2*(a*x^2+b*x+c)),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 31
+--S 35
 t1:=integrate(1/(a*x^2+b*x+c),x)
 --R 
 --R
@@ -1108,7 +1035,7 @@ t1:=integrate(1/(a*x^2+b*x+c),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 32
+--S 36
 bb1:=b/(2*c^2)*log((a*x^2+b*x+c)/x^2)-1/(c*x)+(b^2-2*a*c)/(2*c^2)*t1.1
 --R 
 --R
@@ -1139,7 +1066,7 @@ bb1:=b/(2*c^2)*log((a*x^2+b*x+c)/x^2)-1/(c*x)+(b^2-2*a*c)/(2*c^2)*t1.1
 --R                                                     Type: Expression Integer
 --E
 
---S 33
+--S 37
 bb2:=b/(2*c^2)*log((a*x^2+b*x+c)/x^2)-1/(c*x)+(b^2-2*a*c)/(2*c^2)*t1.2
 --R 
 --R
@@ -1163,7 +1090,7 @@ bb2:=b/(2*c^2)*log((a*x^2+b*x+c)/x^2)-1/(c*x)+(b^2-2*a*c)/(2*c^2)*t1.2
 --R                                                     Type: Expression Integer
 --E
 
---S 34
+--S 38
 cc1:=bb1-aa.1
 --R
 --R   (5)
@@ -1207,7 +1134,7 @@ cc1:=bb1-aa.1
 --R                                                     Type: Expression Integer
 --E
 
---S 35
+--S 39
 dd1:=expandLog cc1
 --R
 --R   (6)
@@ -1242,7 +1169,7 @@ dd1:=expandLog cc1
 --R                                                     Type: Expression Integer
 --E
 
---S 36     14:270 Schaums and Axiom differ by a constant
+--S 40     14:270 Schaums and Axiom differ by a constant
 ee1:=complexNormalize dd1
 --R
 --R                   2          3      2 2
@@ -1265,7 +1192,7 @@ $$
 <<*>>=
 )clear all
 
---S 37     14:271 Axiom cannot compute this integral
+--S 41     14:271 Axiom cannot compute this integral
 aa:=integrate(1/(x^n*(a*x^2+b*x+c)),x)
 --R 
 --R
@@ -1288,7 +1215,7 @@ $$
 <<*>>=
 )clear all
 
---S 38
+--S 42
 aa:=integrate(1/(a*x^2+b*x+c)^2,x)
 --R 
 --R
@@ -1330,7 +1257,7 @@ aa:=integrate(1/(a*x^2+b*x+c)^2,x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 39
+--S 43
 t1:=integrate(1/(a*x^2+b*x+c),x)
 --R 
 --R
@@ -1364,13 +1291,12 @@ t1:=integrate(1/(a*x^2+b*x+c),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 40
-bb1:=(b*x+2*c)/((4*a*c-b^2)*(a*x^2+b*x+c))-b/(4*a*c-b^2)*t1.1
---R 
+--S 44
+bb1:=(2*a*x+b)/((4*a*c-b^2)*(a*x^2+b*x+c))+(2*a)/(4*a*c-b^2)*t1.1
 --R
 --R   (3)
---R                 2    2
---R         (- a b x  - b x - b c)
+--R            2 2
+--R         (2a x  + 2a b x + 2a c)
 --R      *
 --R         log
 --R                                             +-----------+
@@ -1385,7 +1311,7 @@ bb1:=(b*x+2*c)/((4*a*c-b^2)*(a*x^2+b*x+c))-b/(4*a*c-b^2)*t1.1
 --R     + 
 --R                  +-----------+
 --R                  |          2
---R       (b x + 2c)\|- 4a c + b
+--R       (2a x + b)\|- 4a c + b
 --R  /
 --R                                                      +-----------+
 --R         2       2  2              3         2    2   |          2
@@ -1393,99 +1319,70 @@ bb1:=(b*x+2*c)/((4*a*c-b^2)*(a*x^2+b*x+c))-b/(4*a*c-b^2)*t1.1
 --R                                                     Type: Expression Integer
 --E
 
---S 41
-bb2:=(b*x+2*c)/((4*a*c-b^2)*(a*x^2+b*x+c))-b/(4*a*c-b^2)*t1.2
---R 
+--S 45
+bb2:=(2*a*x+b)/((4*a*c-b^2)*(a*x^2+b*x+c))+(2*a)/(4*a*c-b^2)*t1.2
 --R
 --R   (4)
---R                                                +---------+
---R                                                |        2
---R                2     2              (2a x + b)\|4a c - b
---R       (- 2a b x  - 2b x - 2b c)atan(----------------------)
---R                                                    2
---R                                            4a c - b
---R     + 
---R                  +---------+
---R                  |        2
---R       (b x + 2c)\|4a c - b
---R  /
---R                                                      +---------+
---R         2       2  2              3         2    2   |        2
---R     ((4a c - a b )x  + (4a b c - b )x + 4a c  - b c)\|4a c - b
+--R                                          +---------+
+--R                                          |        2                +---------+
+--R      2 2                      (2a x + b)\|4a c - b                 |        2
+--R   (4a x  + 4a b x + 4a c)atan(----------------------) + (2a x + b)\|4a c - b
+--R                                              2
+--R                                      4a c - b
+--R   ----------------------------------------------------------------------------
+--R                                                            +---------+
+--R               2       2  2              3         2    2   |        2
+--R           ((4a c - a b )x  + (4a b c - b )x + 4a c  - b c)\|4a c - b
 --R                                                     Type: Expression Integer
 --E
 
---S 42
+--S 46
 cc1:=aa.1-bb1
 --R
---R   (5)
---R                   2  2     2
---R         ((a b + 2a )x  + (b  + 2a b)x + (b + 2a)c)
---R      *
---R         log
---R                                             +-----------+
---R                   2 2                    2  |          2       2        2
---R                (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (8a c - 2a b )x
---R              + 
---R                          3
---R                4a b c - b
---R           /
---R                 2
---R              a x  + b x + c
---R     + 
---R                              +-----------+
---R                              |          2
---R       ((- b + 2a)x - 2c + b)\|- 4a c + b
---R  /
---R                                                      +-----------+
---R         2       2  2              3         2    2   |          2
---R     ((4a c - a b )x  + (4a b c - b )x + 4a c  - b c)\|- 4a c + b
+--R   (5)  0
 --R                                                     Type: Expression Integer
 --E
 
---S 43
+--S 47
 cc2:=aa.2-bb1
 --R
 --R   (6)
---R                              +---------+
---R               2    2         |        2
---R         (a b x  + b x + b c)\|4a c - b
---R      *
---R         log
---R                                             +-----------+
---R                   2 2                    2  |          2       2        2
---R                (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (8a c - 2a b )x
---R              + 
---R                          3
---R                4a b c - b
---R           /
---R                 2
---R              a x  + b x + c
---R     + 
---R                                                            +---------+
---R                               +-----------+                |        2
---R          2 2                  |          2      (2a x + b)\|4a c - b
---R       (4a x  + 4a b x + 4a c)\|- 4a c + b  atan(----------------------)
---R                                                                2
---R                                                        4a c - b
+--R       -
+--R               +---------+
+--R               |        2
+--R            2a\|4a c - b
+--R         *
+--R            log
+--R                                                +-----------+
+--R                      2 2                    2  |          2       2        2
+--R                   (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (8a c - 2a b )x
+--R                 + 
+--R                             3
+--R                   4a b c - b
+--R              /
+--R                    2
+--R                 a x  + b x + c
 --R     + 
---R                              +-----------+ +---------+
---R                              |          2  |        2
---R       ((- b + 2a)x - 2c + b)\|- 4a c + b  \|4a c - b
+--R                                       +---------+
+--R          +-----------+                |        2
+--R          |          2      (2a x + b)\|4a c - b
+--R       4a\|- 4a c + b  atan(----------------------)
+--R                                           2
+--R                                   4a c - b
 --R  /
---R                                                      +-----------+ +---------+
---R         2       2  2              3         2    2   |          2  |        2
---R     ((4a c - a b )x  + (4a b c - b )x + 4a c  - b c)\|- 4a c + b  \|4a c - b
+--R                 +-----------+ +---------+
+--R              2  |          2  |        2
+--R     (4a c - b )\|- 4a c + b  \|4a c - b
 --R                                                     Type: Expression Integer
 --E
 
---S 44
+--S 48
 cc3:=aa.1-bb2
 --R
 --R   (7)
---R                                 +---------+
---R            2 2                  |        2
---R         (2a x  + 2a b x + 2a c)\|4a c - b
+--R            +---------+
+--R            |        2
+--R         2a\|4a c - b
 --R      *
 --R         log
 --R                                             +-----------+
@@ -1498,41 +1395,23 @@ cc3:=aa.1-bb2
 --R                 2
 --R              a x  + b x + c
 --R     + 
---R                                                            +---------+
---R                               +-----------+                |        2
---R              2     2          |          2      (2a x + b)\|4a c - b
---R       (2a b x  + 2b x + 2b c)\|- 4a c + b  atan(----------------------)
---R                                                                2
---R                                                        4a c - b
---R     + 
---R                              +-----------+ +---------+
---R                              |          2  |        2
---R       ((- b + 2a)x - 2c + b)\|- 4a c + b  \|4a c - b
+--R                                         +---------+
+--R            +-----------+                |        2
+--R            |          2      (2a x + b)\|4a c - b
+--R       - 4a\|- 4a c + b  atan(----------------------)
+--R                                             2
+--R                                     4a c - b
 --R  /
---R                                                      +-----------+ +---------+
---R         2       2  2              3         2    2   |          2  |        2
---R     ((4a c - a b )x  + (4a b c - b )x + 4a c  - b c)\|- 4a c + b  \|4a c - b
+--R                 +-----------+ +---------+
+--R              2  |          2  |        2
+--R     (4a c - b )\|- 4a c + b  \|4a c - b
 --R                                                     Type: Expression Integer
 --E
 
---S 45     14:272 Axiom cannot simplify these expressions
+--S 49     14:272 Schaums and Axiom agree
 cc4:=aa.2-bb2
 --R
---R   (8)
---R                                                                    +---------+
---R                                                                    |        2
---R                  2  2      2                            (2a x + b)\|4a c - b
---R       ((2a b + 4a )x  + (2b  + 4a b)x + (2b + 4a)c)atan(----------------------)
---R                                                                        2
---R                                                                4a c - b
---R     + 
---R                              +---------+
---R                              |        2
---R       ((- b + 2a)x - 2c + b)\|4a c - b
---R  /
---R                                                      +---------+
---R         2       2  2              3         2    2   |        2
---R     ((4a c - a b )x  + (4a b c - b )x + 4a c  - b c)\|4a c - b
+--R   (8)  0
 --R                                                     Type: Expression Integer
 --E
 
@@ -1547,7 +1426,7 @@ $$
 <<*>>=
 )clear all
 
---S 46
+--S 50
 aa:=integrate(x/(a*x^2+b*x+c)^2,x)
 --R 
 --R
@@ -1594,7 +1473,7 @@ aa:=integrate(x/(a*x^2+b*x+c)^2,x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 47
+--S 51
 t1:=integrate(1/(a*x^2+b*x+c),x)
 --R 
 --R
@@ -1628,7 +1507,7 @@ t1:=integrate(1/(a*x^2+b*x+c),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 48
+--S 52
 bb1:=-(b*x+2*c)/((4*a*c-b^2)*(a*x^2+b*x+c))-b/(4*a*c-b^2)*t1.1
 --R 
 --R
@@ -1657,7 +1536,7 @@ bb1:=-(b*x+2*c)/((4*a*c-b^2)*(a*x^2+b*x+c))-b/(4*a*c-b^2)*t1.1
 --R                                                     Type: Expression Integer
 --E
 
---S 49
+--S 53
 bb2:=-(b*x+2*c)/((4*a*c-b^2)*(a*x^2+b*x+c))-b/(4*a*c-b^2)*t1.2
 --R 
 --R
@@ -1679,7 +1558,7 @@ bb2:=-(b*x+2*c)/((4*a*c-b^2)*(a*x^2+b*x+c))-b/(4*a*c-b^2)*t1.2
 --R                                                     Type: Expression Integer
 --E
 
---S 50
+--S 54
 cc1:=bb1-aa.1
 --R
 --R   (5)
@@ -1717,7 +1596,7 @@ cc1:=bb1-aa.1
 --R                                                     Type: Expression Integer
 --E
 
---S 51
+--S 55
 dd1:=expandLog cc1
 --R
 --R   (6)
@@ -1752,7 +1631,7 @@ dd1:=expandLog cc1
 --R                                                     Type: Expression Integer
 --E
 
---S 52     14:273 Schaums and Axiom differ by a constant
+--S 56     14:273 Schaums and Axiom differ by a constant
 ee1:=complexNormalize dd1
 --R
 --R                       3      2 2
@@ -1775,7 +1654,7 @@ $$
 <<*>>=
 )clear all
 
---S 53
+--S 57
 aa:=integrate(x^2/(a*x^2+b*x+c)^2,x)
 --R 
 --R
@@ -1822,7 +1701,7 @@ aa:=integrate(x^2/(a*x^2+b*x+c)^2,x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 54
+--S 58
 t1:=integrate(1/(a*x^2+b*x+c),x)
 --R 
 --R
@@ -1856,7 +1735,7 @@ t1:=integrate(1/(a*x^2+b*x+c),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 55
+--S 59
 bb1:=((b^2-2*a*c)*x+b*c)/(a*(4*a*c-b^2)*(a*x^2+b*x+c))+(2*c)/(4*a*c-b^2)*t1.1
 --R
 --R   (3)
@@ -1884,7 +1763,7 @@ bb1:=((b^2-2*a*c)*x+b*c)/(a*(4*a*c-b^2)*(a*x^2+b*x+c))+(2*c)/(4*a*c-b^2)*t1.1
 --R                                                     Type: Expression Integer
 --E
 
---S 56
+--S 60
 bb2:=((b^2-2*a*c)*x+b*c)/(a*(4*a*c-b^2)*(a*x^2+b*x+c))+(2*c)/(4*a*c-b^2)*t1.2
 --R
 --R   (4)
@@ -1905,7 +1784,7 @@ bb2:=((b^2-2*a*c)*x+b*c)/(a*(4*a*c-b^2)*(a*x^2+b*x+c))+(2*c)/(4*a*c-b^2)*t1.2
 --R                                                     Type: Expression Integer
 --E
 
---S 57     14:274 Schaums and Axiom agree
+--S 61     14:274 Schaums and Axiom agree
 cc1:=aa.1-bb1
 --R
 --R   (5)  0
@@ -1928,7 +1807,7 @@ $$
 <<*>>=
 )clear all
 
---S 58     14:275 Axiom cannot compute this integral
+--S 62     14:275 Axiom cannot compute this integral
 aa:=integrate(x^m/(a*x^2+b*x+c)^n,x)
 --R 
 --R
@@ -1956,7 +1835,7 @@ $$
 <<*>>=
 )clear all
 
---S 59     14:276 Axiom cannot compute this integral
+--S 63     14:276 Axiom cannot compute this integral
 aa:=integrate(x^(2*n-1)/(a*x^2+b*x+c)^n,x)
 --R 
 --R
@@ -1984,7 +1863,7 @@ $$
 <<*>>=
 )clear all
 
---S 60
+--S 64
 aa:=integrate(1/(x*(a*x^2+b*x+c)^2),x)
 --R 
 --R
@@ -2058,7 +1937,7 @@ aa:=integrate(1/(x*(a*x^2+b*x+c)^2),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 61
+--S 65
 t1:=integrate(1/(a*x^2+b*x+c)^2,x)
 --R 
 --R
@@ -2100,7 +1979,7 @@ t1:=integrate(1/(a*x^2+b*x+c)^2,x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 62
+--S 66
 t2:=integrate(1/(x*(a*x^2+b*x+c)),x)
 --R 
 --R
@@ -2146,7 +2025,7 @@ t2:=integrate(1/(x*(a*x^2+b*x+c)),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 63
+--S 67
 bb1:=1/(2*c*(a*x^2+b*x+c))-b/(2*c)*t1.1+1/c*t2.1
 --R 
 --R
@@ -2201,7 +2080,7 @@ bb1:=1/(2*c*(a*x^2+b*x+c))-b/(2*c)*t1.1+1/c*t2.1
 --R                                                     Type: Expression Integer
 --E
 
---S 64
+--S 68
 bb2:=1/(2*c*(a*x^2+b*x+c))-b/(2*c)*t1.2+1/c*t2.1
 --R 
 --R
@@ -2258,7 +2137,7 @@ bb2:=1/(2*c*(a*x^2+b*x+c))-b/(2*c)*t1.2+1/c*t2.1
 --R                                                     Type: Expression Integer
 --E
 
---S 65
+--S 69
 bb3:=1/(2*c*(a*x^2+b*x+c))-b/(2*c)*t1.1+1/c*t2.2
 --R 
 --R
@@ -2314,7 +2193,7 @@ bb3:=1/(2*c*(a*x^2+b*x+c))-b/(2*c)*t1.1+1/c*t2.2
 --R                                                     Type: Expression Integer
 --E
 
---S 66
+--S 70
 bb4:=1/(2*c*(a*x^2+b*x+c))-b/(2*c)*t1.2+1/c*t2.2
 --R 
 --R
@@ -2351,7 +2230,7 @@ bb4:=1/(2*c*(a*x^2+b*x+c))-b/(2*c)*t1.2+1/c*t2.2
 --R                                                     Type: Expression Integer
 --E
 
---S 67
+--S 71
 cc1:=aa.1-bb1
 --R
 --R   (8)
@@ -2387,7 +2266,7 @@ cc1:=aa.1-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 68
+--S 72
 dd1:=expandLog cc1
 --R
 --R   (9)
@@ -2420,7 +2299,7 @@ dd1:=expandLog cc1
 --R                                                     Type: Expression Integer
 --E
 
---S 69     14:277 Schaums and Axiom differ by a constant
+--S 73     14:277 Schaums and Axiom differ by a constant
 ee1:=complexNormalize dd1
 --R
 --R                        3      2 2
@@ -2447,7 +2326,7 @@ $$
 <<*>>=
 )clear all
 
---S 70
+--S 74
 aa:=integrate(1/(x^2*(a*x^2+b*x+c)^2),x)
 --R 
 --R
@@ -2531,7 +2410,7 @@ aa:=integrate(1/(x^2*(a*x^2+b*x+c)^2),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 71
+--S 75
 t1:=integrate(1/(a*x^2+b*x+c)^2,x)
 --R 
 --R
@@ -2573,7 +2452,7 @@ t1:=integrate(1/(a*x^2+b*x+c)^2,x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 72
+--S 76
 t2:=integrate(1/(x*(a*x^2+b*x+c)^2),x)
 --R 
 --R
@@ -2647,7 +2526,7 @@ t2:=integrate(1/(x*(a*x^2+b*x+c)^2),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 73
+--S 77
 bb1:=-1/(c*x*(a*x^2+b*x+c))-((3*a)/c)*t1.1-(2*b)/c*t2.1
 --R 
 --R
@@ -2704,7 +2583,7 @@ bb1:=-1/(c*x*(a*x^2+b*x+c))-((3*a)/c)*t1.1-(2*b)/c*t2.1
 --R                                                     Type: Expression Integer
 --E
 
---S 74
+--S 78
 bb2:=-1/(c*x*(a*x^2+b*x+c))-((3*a)/c)*t1.2-(2*b)/c*t2.1
 --R 
 --R
@@ -2766,7 +2645,7 @@ bb2:=-1/(c*x*(a*x^2+b*x+c))-((3*a)/c)*t1.2-(2*b)/c*t2.1
 --R                                                     Type: Expression Integer
 --E
 
---S 75
+--S 79
 bb3:=-1/(c*x*(a*x^2+b*x+c))-((3*a)/c)*t1.1-(2*b)/c*t2.2
 --R 
 --R
@@ -2824,7 +2703,7 @@ bb3:=-1/(c*x*(a*x^2+b*x+c))-((3*a)/c)*t1.1-(2*b)/c*t2.2
 --R                                                     Type: Expression Integer
 --E
 
---S 76
+--S 80
 bb4:=-1/(c*x*(a*x^2+b*x+c))-((3*a)/c)*t1.2-(2*b)/c*t2.2
 --R 
 --R
@@ -2866,7 +2745,7 @@ bb4:=-1/(c*x*(a*x^2+b*x+c))-((3*a)/c)*t1.2-(2*b)/c*t2.2
 --R                                                     Type: Expression Integer
 --E
 
---S 77
+--S 81
 cc1:=aa.1-bb1
 --R
 --R   (8)
@@ -2904,7 +2783,7 @@ cc1:=aa.1-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 78
+--S 82
 dd1:=expandLog cc1
 --R
 --R   (9)
@@ -2939,7 +2818,7 @@ dd1:=expandLog cc1
 --R                                                     Type: Expression Integer
 --E
 
---S 79     14:278 Schaums and Axiom differ by a constant
+--S 83     14:278 Schaums and Axiom differ by a constant
 ee1:=complexNormalize dd1
 --R
 --R             2         3      2 2
@@ -2966,7 +2845,7 @@ $$
 <<*>>=
 )clear all
 
---S 80     14:279 Axiom cannot compute this integral
+--S 84     14:279 Axiom cannot compute this integral
 aa:=integrate(1/(x^m*(a*x^2+b*x+c)^n),x)
 --R 
 --R
